.text-black {
  color: #000 !important;
}

.site-wrap {
  min-width: 282px;

  .page-header {
    position: fixed;
    width: 100%;
    z-index: 99999;

    .site-navbar-wrap {
      width: 100%;
      position: sticky;
      top: 0;

      a {
        color: #000;
      }

      .site-navbar-top {
        .site-logo {
          font-size: 2rem;
        }

        +.site-navbar {
          height: 75px;
        }
      }

      .unit-4 {
        padding: 0;
        margin: 0;
        list-style: none;

        li {
          display: inline-block;
          &:not(:last-child) {
            margin-right: 5px;
          }

          .top-icon {
            line-height: 39px;
            font-size: 1.5rem;
          }

          .top-text {
            font-size: 10px;
          }
        }
      }

      .site-navbar .site-navigation {
        padding-left: 0;
        padding-right: 0;

        .site-menu {
          margin-bottom: 0;
          margin-left: 0;
          padding-left: 0;

          > li {
            display: inline-block;
            padding: 10px 7px;

            &:first-child {
              padding-left: 0;
            }

            &:last-child {
              padding-right: 0;
            }

            > a {
              color: #9c9c9c;
              -webkit-transition: color .3s;
              -moz-transition: color .3s;
              -ms-transition: color .3s;
              -o-transition: color .3s;
              transition: color .3s;

              i {
                font-size: 21px;
                display: none;

                &:not(:last-child) {
                  margin-right: 15px;
                }
              }

              &:hover {
                color: #fff;
                i {
                  color: #38c172;
                }
              }

              &.active {
                color: #38c172;
                i {
                  color: #38c172;
                }
              }

              @media screen and (max-width: 767px) {
                i {
                  display: block;
                }

                span {
                  display: none;
                }
              }
            }

            &:last-child > a {
              padding-right: 0;
            }
          }
        }
      }

      .top-right-icons {
        a {
          color: #38c172 !important;
          line-height: 25px;
          float: right;

          i {
            font-size: 21px;
            display: none;
          }

          &.active,
          &.rounded-0:hover {
            color: #fff !important;

            i {
              color: #38c172 !important;
            }
          }

          @media screen and (max-width: 767px) {
            &.btn {
              padding: 0.375rem 0.75rem !important;
              border: none !important;
              color: #9c9c9c !important;
              background: transparent !important;
            }

            i {
              display: block;
            }

            span {
              display: none;
            }
          }
        }
      }

      .small-size-padding {
        @media screen and (max-width: 767px) {
          margin: 0 -10px !important;
        }
      }
    }
  }

  .page-content {
    min-height: calc(100vh - 60px);
    display: block;
    padding-top: 142px;

    form label {
      margin-bottom: 0;
      margin-top: 10px;
      font-size: 14px;
      line-height: 14px;
    }

    .site-section {
      padding: 3em 0;

      @media screen and (min-width: 768px) {
        padding: 7em 0;
      }

      .box-shadowed {
        -webkit-box-shadow: 1px 2px 8px 1px rgba(0, 0, 0, 0.1);
        -moz-box-shadow: 1px 2px 8px 1px rgba(0, 0, 0, 0.1);
        -ms-box-shadow: 1px 2px 8px 1px rgba(0, 0, 0, 0.1);
        -o-box-shadow: 1px 2px 8px 1px rgba(0, 0, 0, 0.1);
        box-shadow: 1px 2px 8px 1px rgba(0, 0, 0, 0.1);
      }
    }

    .error-message {
      font-size: 11px;
      color: #ff4500 !important;
    }

    .slick-image span {
      position: inherit;
    }

    #google-map-area,
    #google-map-load {
      min-height: 400px;
      max-height: 400px;

      @media screen and (max-width: 768px) {
        min-height: 300px;
        max-height: 300px;
      }

      @media screen and (max-width: 420px) {
        min-height: 500px;
        max-height: 500px;
      }
    }

    #google-map-load {
      background: url("./img/loading.gif") center top calc(50% - 20px) no-repeat;
      background-size: 50px;
      text-align: center;
      line-height: 470px;
      color: #606060;

      @media screen and (max-width: 768px) {
        line-height: 370px;
      }

      @media screen and (max-width: 420px) {
        line-height: 570px;
      }
    }

    .site-blocks-cover {
      background-position: center center;
      background-repeat: no-repeat;

      &:not(.no-cover)::before {
        position: absolute;
        content: "";
        left: 0;
        bottom: 0;
        right: 0;
        top: 0;
        background: rgba(0, 0, 0, .6);
      }
    }

    .slider-control-centerright i,
    .slider-control-centerleft i {
      border: 0;
      background: rgba(0, 0, 0, 0.4);
      color: white;
      padding: 10px;
      opacity: 1;
      cursor: pointer;
      height: 50px;
      width: 50px;
      text-align: center;
      font-size: 25px;
    }

    .slider-control-centerleft {
      left: 15px !important;
    }

    .slider-control-centerright {
      right: 15px !important;
    }

    .site-blocks-cover,
    .site-blocks-cover .row {
      min-height: 600px;
      height: calc(40vh);
    }

    .site-blocks-cover {
      position: relative;
    }

    .sbc-content {
      font-family: "Nunito Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
      font-weight: 300;
      color: #fff;
    }

    .no-cover .sbc-content {
      color: #000;
    }
    
    .sbc-1 {
      background-image: url("./img/hero_bg_1.jpg");
      background-color: #fff;
    }

    .sbc-2 {
      background-image: url("./img/hero_bg_2.gif");
      background-color: #8fedfe;
    }

    .sbc-3 {
      background-color: #fff;
    }

    .popular-domain-extension {
      @media screen and (max-width: 632px) {
        display: block !important;

        div {
          border-right: 0 !important;
          border-top: 1px solid #dee2e6 !important;
          padding: 30px 0 !important;

          &:first-child {
            border-top: 0 !important;
            padding-top: 0 !important;
          }
          
          &:last-child {
            padding-bottom: 0 !important;
          }
        }
      }
    }

    form {
      .monospaced {
        font-size: 15px;
      }

      .react-code-input {
        width: 100%;
        text-align: center;

        input[type="number"] {
          -moz-appearance: textfield;
          width: calc(25% - 8px) !important;
          text-align: center;
          padding: 0 !important;
          font-size: 24px !important;
          outline: none;
          border-radius: 0 !important;
          -webkit-box-shadow: none !important;
          box-shadow: none !important;

          -webkit-transition: color .3s, background-color .3s, box-shadow .3s;
          -moz-transition: color .3s, background-color .3s, box-shadow .3s;
          -ms-transition: color .3s, background-color .3s, box-shadow .3s;
          -o-transition: color .3s, background-color .3s, box-shadow .3s;
          transition: color .3s, background-color .3s, box-shadow .3s;

          &:focus {
            color: #495057 !important;
            background-color: #fff !important;
            border-color: #a1cbef !important;
            -webkit-box-shadow: 0 0 0 0.2rem rgba(52, 144, 220, 0.25) !important;
            box-shadow: 0 0 0 0.2rem rgba(52, 144, 220, 0.25) !important;
          }
        }

        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
          -webkit-appearance: none;
        }
      }

      .link-area {
        margin-top: 50px;
        text-align: center;
      }
    }
  }

  .page-footer {
    padding: 20px 15px;
    color: #eee;
    text-align: center;
    font-size: 12px;
  }
}

.input-required {
  font-size: 10px !important;
  color: #ff4500 !important;
}

.error-message {
  font-size: 11px;
  color: #ff4500 !important;
}

.loading-area {
  margin-top: 30px;

  &::before {
    content: "";
    display: block;
    height: 0;
    width: 0;
    background: url("./img/loading.gif") 50% no-repeat;
    background-size: 100%;
    margin: 0 auto;
    -webkit-transition: width .25s,height .25s;
    transition: width .25s,height .25s;
  }

  &.loading-show::before {
    height: 30px;
    width: 30px;
  }
}

.auth-error-message,
.auth-success-message {
  display: block;
  font-weight: bold;
  font-size: 12px;
  line-height: 13px;
  padding-left: 0;
  margin: 15px 0 0 15px;
  width: 100%;
  text-align: left;
}

.auth-error-message {
  color: orangered;
}

.auth-success-message {
  color: #14bd57;
}

.btn-outline-success {
  background-color: #fff;
}
